Rock
Start HereThe Gloria Record
UK 2021 (Big Scary Monsters BSM295V)Винил. Пластинка; LP; Альбом; Лимитированное издание
Split SingleThe Phoenix Foundation , Custody
UK & Europe 2019 (Little Rocket Records (2) LRR-030 SP)Винил. Пластинка; 7"; 33 ⅓ RPM; 45 RPM
Complete FairytalesEldritch Anisette
USA & Europe 2026 (Numero Group NUM955)Винил. Пластинка; 12"; 45 RPM; Сборник
Little Green HouseAnxious
US 2023 (Run For Cover Records (2) RFC229LP-C9)Винил. Пластинка; LP; Альбом
You're Gonna Miss It AllModern Baseball
US 2022 (Run For Cover Records (2) RFC 096)Винил. Пластинка; LP; Repress
As You PleaseCitiZen
US 2023 (Run For Cover Records (2) RFC162)Винил. Пластинка; LP; Альбом; Лимитированное издание
DomesticaCursive
US 2025 (Run For Cover Records (2) RFC305)Винил. Пластинка; LP; Альбом; Переиздание
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
Springtime And BlindFiddlehead
US 2022 (Run For Cover Records (2) RFC174)Винил. Пластинка; LP; 45 RPM; Альбом
Bleed AmericanJimmy Eat World
Europe 2016 (Geffen Records 00602547316400)Винил. Пластинка; LP; Альбом; Переиздание
Never EnderHot Water Music
Europe 2026 (none)Винил. Пластинка; LP; Сборник; Лимитированное издание
The Lucky OnesLayden And The Lion
US 2017 (Little Rocket Records (2) LRR11)Винил. Пластинка; LP; Альбом
The AvalancheOwen
UK 2020 (Big Scary Monsters BSM278)Винил. Пластинка; LP; Альбом; Лимитированное издание
Basements: Music To Fight HypocrisyWild Animals
Spain 2016 (Bcore BC.239LP)Винил. Пластинка; 12"; 45 RPM; Альбом
The UnderdarkFuneral Diner
US 2026 (Repeater Records REP-001)Винил. Пластинка; LP; Альбом; Переиздание
Stay What You AreSaves The Day
US 2001 (Vagrant Records 422 860 953-1)Винил. Пластинка; LP; Альбом
LP2Sunny Day Real Estate
US 2010 (Sub Pop SP 852)Винил. Пластинка; LP; Альбом; Переиздание
How It Feels To Be Something OnSunny Day Real Estate
US 2016 (Sub Pop SP 409)Винил. Пластинка; LP; Альбом; Переиздание
Totally Fucking The '80s
Japan 2002 (Boxcar Records BOX-008)Винил. Пластинка; LP; Сборник
The Rising TideSunny Day Real Estate
US 2018 (Craft Recordings CR00069)Винил. Пластинка; LP; Альбом; Переиздание
Frame & CanvasBraid
US 2023 (Polyvinyl Record Company PRC-468)Винил. Пластинка; LP; Альбом; Special Edition
Perfecting LonelinessJets To Brazil
US 2017 (Jade Tree JT1079)Винил. Пластинка; LP; Альбом; Переиздание
Orange Rhyming DictionaryJets To Brazil
US 2017 (Jade Tree JT1038)Винил. Пластинка; LP; Альбом; Переиздание
Nothing Feels GoodThe Promise Ring
US 2022 (Jade Tree JT1035)Винил. Пластинка; LP; Repress
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.